%define	major 1
%define libname %mklibname jbig %{major}
%define develname %mklibname jbig -d

Summary:	The JBIG-KIT
Name:		jbigkit
Version:	2.0
Release:	%mkrel 6
License:	GPL
Group:		System/Libraries
URL:		http://www.cl.cam.ac.uk/~mgk25/jbigkit/
Source0:	http://www.cl.cam.ac.uk/~mgk25/download/%{name}-%{version}.tar.gz
Patch0:		jbigkit-2.0-shared.diff
BuildRequires:	libtool

%description
JBIG-KIT implements a highly effective data compression algorithm for bi-level
high-resolution images such as fax pages or scanned documents.

%package -n	%{libname}
Summary:	The Shared library for The JBIG-KIT
Group:          System/Libraries

%description -n	%{libname}
JBIG-KIT implements a highly effective data compression algorithm for bi-level
high-resolution images such as fax pages or scanned documents.

This package provides the shared JBIG-KIT library.

%package -n	%{develname}
Summary:	Static library and header files for development with JBIG-KIT
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libjbig-devel = %{version}-%{release}
Provides:	jbig-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
JBIG-KIT implements a highly effective data compression algorithm for bi-level
high-resolution images such as fax pages or scanned documents.

This package is only needed if you plan to develop or compile applications
which requires the libjbig library.

%prep

%setup -q -n %{name}

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%patch0 -p1

%build
make CFLAGS="%{optflags} -fPIC -DPIC" \
    LDFLAGS="%{ldflags}" prefix=%{_prefix} libdir=%{_libdir}

%check
make test

%install
%makeinstall_std prefix=%{_prefix} libdir=%{_libdir}
rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%doc ANNOUNCE CHANGES COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc INSTALL TODO pbmtools/*.txt libjbig/*.txt
%{_includedir}/*.h
%{_libdir}/*.so


%changelog

* Tue Jan 15 2013 fwang <fwang> 2.0-6.mga3
+ Revision: 388169
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 pterjan <pterjan> 2.0-5.mga1
+ Revision: 5554
- Drop obsolete scriptlets
- imported package jbigkit

